PHP Manual
Prev |  | Next

# xattr_list

(PECL)

xattr_list -- Get a list of extended attributes

## Description

array xattr_list ( string filename [, int flags] )

This functions gets a list of names of extended attributes of a file.

Extended attributes have two different namespaces: user and root namespace. User namespace is available for all users while root namespace is available only for user with root privileges. xattr operates on user namespace by default, but you can change that using `flags` argument.

## Parameters

`filename`

  The path of the file.

`flags`

  Table 1. Supported xattr flags

  `XATTR_DONTFOLLOW` | Do not follow the symbolic link but operate on symbolic link itself.
  `XATTR_ROOT` | Set attribute in root (trusted) namespace. Requires root privileges.

## Return Values

This function returns an array with names of extended attributes.

## Examples

Example 1. Prints names of all extended attributes of file

`<?php $file = 'some_file'; $root_attributes = xattr_list($file, XATTR_ROOT); $user_attributes = xattr_list($file); echo "Root attributes: \n"; foreach ($root_attributes as $attr_name) { printf("%s\n", $attr_name); } echo "\n User attributes: \n"; foreach ($attributes as $attr_name) { printf("%s\n", $attr_name); } ?>`

## See Also

xattr_get()

Prev | Home | Next
xattr_get | Up | xattr_remove